aboutsummaryrefslogtreecommitdiff
path: root/mail/horde-mimp/files/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'mail/horde-mimp/files/pkg-deinstall.in')
-rw-r--r--mail/horde-mimp/files/pkg-deinstall.in23
1 files changed, 23 insertions, 0 deletions
diff --git a/mail/horde-mimp/files/pkg-deinstall.in b/mail/horde-mimp/files/pkg-deinstall.in
new file mode 100644
index 000000000000..7f721dba2f9a
--- /dev/null
+++ b/mail/horde-mimp/files/pkg-deinstall.in
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# $FreeBSD:
+#
+
+if [ x$2 != xDEINSTALL ]; then
+ exit
+fi
+
+if [ -z "${PACKAGE_BUILDING}" ]; then
+ for cf in `ls %%MIMPDIR%%/config/*php %%MIMPDIR%%/config/*txt`; do
+ diff -bBqw $cf $cf.dist >/dev/null 2>&1
+ case $? in
+ 0) # original config file, delete it
+ rm -f $cf
+ ;;
+ 1) # config file has been updated, leave it alone
+ ;;
+ *) # not found?
+ ;;
+ esac
+ done
+fi